%global debug_package %{nil}

# Tarfile created using git 		
# git clone https://github.com/raspberrypi/firmware.git
# cd firmware/boot
# tar cJvf ../bcm283x-firmware-%{gitshort}.tar.xz *bin *dat *elf LICENCE.broadcom COPYING.linux overlays/
%define gitshort a154f21

Name:          bcm283x-firmware
Version:       20180416
Release:       1.%{gitshort}%{?dist}
Summary:       Broadcom bcm283x firmware for the Raspberry Pi
# see LICENSE.broadcom
License:       Redistributable, no modification permitted
URL:           https://github.com/raspberrypi/

Source0:       %{name}-%{gitshort}.tar.xz
Source1:       config.txt
Source2:       config-64.txt

ExclusiveArch: %{arm} aarch64

%description
Firmware for the Broadcom bcm283x SoC as shipped in devices such as the
Raspberry Pi.

%prep
%setup -q -n %{name}-%{gitshort} -c %{name}-%{gitshort}

%build

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}/%{_datadir}/%{name}/overlays
install -p %{SOURCE1} %{buildroot}/%{_datadir}/%{name}
install -p %{SOURCE2} %{buildroot}/%{_datadir}/%{name}
install -p *bin %{buildroot}/%{_datadir}/%{name}
install -p *dat %{buildroot}/%{_datadir}/%{name}
install -p *elf %{buildroot}/%{_datadir}/%{name}
install -p overlays/README %{buildroot}/%{_datadir}/%{name}/overlays
install -p overlays/*.dtbo %{buildroot}/%{_datadir}/%{name}/overlays

%files
# DT Overlays covered under Linux Kernel GPLv2
%license LICENCE.broadcom COPYING.linux
%{_datadir}/%{name}

%changelog
* Wed Apr 18 2018 Peter Robinson <pbrobinson@fedoraproject.org> 20180416-1.a154f21
- Firmware fix for some Raspberry Pi 3+ issues

* Thu Apr 12 2018 Peter Robinson <pbrobinson@fedoraproject.org> 20180409-1.d46b40b
- Upstream firmware fixes

* Sun Apr  8 2018 Peter Robinson <pbrobinson@fedoraproject.org> 20180406-1.3aa8060
- Upstream firmware fixes
- Ship DT overlays
- Update config.txt

* Tue Mar 20 2018 Peter Robinson <pbrobinson@fedoraproject.org> 20180316-1.25cf637
- Upstream firmware fixes

* Wed Mar 14 2018 Peter Robinson <pbrobinson@fedoraproject.org> 20180314-1.086a848
- Add support for Raspberry Pi 3+ (Happy Pi day)

* Thu Mar  8 2018 Peter Robinson <pbrobinson@fedoraproject.org> 20180307-1.7fdcd00
- Upstream firmware fixes

* Sun Feb 25 2018 Peter Robinson <pbrobinson@fedoraproject.org> 20180209-1.b1a7f4a
- Latest firmware, updated license text

* Wed Jan  3 2018 Peter Robinson <pbrobinson@fedoraproject.org> 20171201-1.9426e18
- Latest firmware

* Sun Oct 15 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20171011-1.a88e126
- Latest firmware

* Thu Sep 14 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20170912-1.2067241
- Update to 2067241 firmware with various fixes/improvements

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20170703-3.5f54395
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20170703-2.5f54395
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 13 2017 Peter Robinson <pbrobinson@fedoraproject.org>
- Allow OS rather than firmware control CEC

* Mon Jul  3 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20170703-1.5f54395
- Update to 5f54395 firmware (upstream fix for serial baud rate regression)

* Mon Jul  3 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20170613-2.73f44c6
- Move back to firmware 73f44c6 (20170515) to fix regresion on serial console

* Wed Jun 14 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20170613-1.7a661e0
- Latest firmware

* Mon May 15 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20170504-1.284e48a
- Enable DMA driver in initrd
- Latest firmware

* Wed Apr 19 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20170404-2.b038854
- Add config-64.txt for default 64 bit options for the RPi3

* Wed Apr 12 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20170404-1.b038854
- Latest firmware, minor config tweaks

* Sun Mar 26 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20170324-1.76fc4dd
- Drop bcm2835_dma from initrd, it's too unstable
- Latest firmware fixes

* Tue Mar 14 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20170314-2.509beaa
- Add bcm2835_dma to initrd list

* Tue Mar 14 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20170314-1.509beaa
- Latest firmware fixes
- Transition mechanism for MMC changes

* Thu Feb  9 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20170208-1.db5fd5e
- Latest firmware fixes

* Thu Feb  2 2017 Peter Robinson <pbrobinson@fedoraproject.org> 20170131-1.72b44d8
- Latest firmware fixes

* Wed Dec 28 2016 Peter Robinson <pbrobinson@fedoraproject.org> 20161209-1.6d45dcf
- Latest firmware fixes

* Sat Oct 22 2016 Peter Robinson <pbrobinson@fedoraproject.org> 20161020-1.a0e54e7
- Latest firmware fixes
- Minor config tweaks

* Sat Sep 24 2016 Peter Robinson <pbrobinson@fedoraproject.org> 20160913-2.c93fb48
- Minor config tweaks

* Wed Sep 14 2016 Peter Robinson <pbrobinson@fedoraproject.org> 20160913-1.c93fb48
- Numerous config enhancements
- Latest firmware fixes

* Sat Aug 27 2016 Peter Robinson <pbrobinson@fedoraproject.org> 20160823-1.d0bc6ce
- Latest firmware fixes

* Tue Jul 12 2016 Peter Robinson <pbrobinson@fedoraproject.org> 20160712-1.6ab4d20
- Latest firmware fixes

* Mon May 16 2016 Peter Robinson <pbrobinson@fedoraproject.org> 20160513-1.c17fa41
- Config options for HW rev 3
- Latest firmware fixes

* Sat Apr 30 2016 Peter Robinson <pbrobinson@fedoraproject.org> 20160430-1.611d798
- Latest firmware update

* Mon Mar  7 2016 Peter Robinson <pbrobinson@fedoraproject.org> 20160307-1.a192a05
- Latest firmware update

* Wed Mar  2 2016 Peter Robinson <pbrobinson@fedoraproject.org> 20160229-1.9cd1c6c
- Latest firmware update
- Build for aarch64

* Mon Feb  8 2016 Peter Robinson <pbrobinson@fedoraproject.org> 20160201-1.cb2ffaa
- Latest firmware update

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20151219-2.1efc1ec
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 21 2015 Peter Robinson <pbrobinson@fedoraproject.org> 20151219-1.1efc1ec
- Latest firmware update

* Mon Oct  5 2015 Peter Robinson <pbrobinson@fedoraproject.org> 20151004-1.b06b317
- Latest firmware update

* Fri Aug 28 2015 Peter Robinson <pbrobinson@fedoraproject.org> 20150824-1.c6ae1d6
- Latest firmware update

* Fri Jul 24 2015 Peter Robinson <pbrobinson@fedoraproject.org> 20150723-1.43c4847
- Latest firmware update

* Tue Jun 30 2015 Peter Robinson <pbrobinson@fedoraproject.org> 20150630-1.89881b5
- Latest firmware update

* Wed Jun 24 2015 Peter Robinson <pbrobinson@fedoraproject.org> 20150623-1.856e2e1
- Latest firmware update

* Sun Jun 21 2015 Peter Robinson <pbrobinson@fedoraproject.org> 20150619-1.8b9d7b8
- Latest firmware update
- update config.txt for default kernel name

* Fri Jun 19 2015 Peter Robinson <pbrobinson@fedoraproject.org> 20150617-2.fc6c989
- Add cmdline.txt, update config.txt

* Fri Jun 19 2015 Peter Robinson <pbrobinson@fedoraproject.org> 20150617-1.fc6c989
- Latest firmware update
- Add default config.txt

* Thu Jun 18 2015 Peter Robinson <pbrobinson@fedoraproject.org> 20150615-3.37600d5
- Fix license field

* Thu Jun 18 2015 Peter Robinson <pbrobinson@fedoraproject.org> 20150615-2.37600d5
- Updates for review

* Mon Jun 15 2015 Peter Robinson <pbrobinson@fedoraproject.org> 20150615-1.37600d5
- Initial version
